Chirality.h File Reference
`#include <RDGeneral/export.h>`
`#include <RDGeneral/types.h>`
`#include <GraphMol/Bond.h>`
`#include <boost/dynamic_bitset.hpp>`
`#include <limits>`

Go to the source code of this file.

## Classes

struct | RDKit::Chirality::StereoInfo

## Namespaces

| RDKit
| Std stuff.
| RDKit::Chirality

## Enumerations

enum class | RDKit::Chirality::StereoType { RDKit::Chirality::Unspecified , RDKit::Chirality::Atom_Tetrahedral , RDKit::Chirality::Bond_Double , RDKit::Chirality::Bond_Cumulene_Even , RDKit::Chirality::Bond_Atropisomer }
enum class | RDKit::Chirality::StereoDescriptor { RDKit::Chirality::None , RDKit::Chirality::Tet_CW , RDKit::Chirality::Tet_CCW , RDKit::Chirality::Bond_Cis , RDKit::Chirality::Bond_Trans }
enum class | RDKit::Chirality::StereoSpecified { RDKit::Chirality::Unspecified , RDKit::Chirality::Specified , RDKit::Chirality::Unknown }

## Functions

RDKIT_GRAPHMOL_EXPORT std::vector< StereoInfo > | RDKit::Chirality::findPotentialStereo (ROMol &mol, bool cleanIt, bool flagPossible=true)
| identifies potential stereoatoms and stereobonds in a molecule More...
RDKIT_GRAPHMOL_EXPORT std::vector< StereoInfo > | RDKit::Chirality::findPotentialStereo (const ROMol &mol)
| overload More...
RDKIT_GRAPHMOL_EXPORT INT_VECT | RDKit::Chirality::findStereoAtoms (const Bond *bond)